<p align="center"><img src=".github/logo.png?raw=true" width="150"></p>

# Java API for [Twitch](https://www.twitch.tv/)

Support:

[![Discord Server](https://discordapp.com/api/guilds/143001431388061696/embed.png?style=banner2)](https://discord.gg/FQ5vgW3)
[![Twitch API Server](https://discordapp.com/api/guilds/325552783787032576/embed.png?style=banner2)](https://discord.gg/8NXaEyV)

Badges:

![Latest](https://img.shields.io/github/release/twitch4j/twitch4j/all.svg?style=flat-square&label=latest)
[![pipeline status](https://gitlab.com/twitch4j/twitch4j/badges/master/pipeline.svg)](https://gitlab.com/twitch4j/twitch4j/commits/master)
[![Docs](https://img.shields.io/badge/WIKI-Latest-green.svg?style=flat-square)](https://twitch4j.gitlab.io/twitch4j/)

--------

## A quick note:

This project provides multiple standalone modules you can use to interact with twitch and related services.

## Quick Start

Check out the [Documentation](https://twitch4j.gitlab.io/twitch4j/getting-started/installation/)!

--------

## Modules

Shared
* [Event4J](https://github.com/PhilippHeuer/events4j)
* [Credential Manager](https://github.com/PhilippHeuer/credential-manager)

Project
* Auth
* API - Extensions
* API - Kraken (Deprecated)
* API - Helix
* Chat
* PubSub
* GraphQL

## Problems

If you have problems using the *Twitch Java API*, then you are welcome to join the [discord server](https://discord.gg/FQ5vgW3) to talk about it.

If you discover any issues/have feature requests, then please [open an issue here](https://github.com/twitch4j/twitch4j/issues/new).

## Contributing

We welcome contributions to the library, be it new features, bug fixes, or even small enhancements.
Please do read the [contributing guide](https://twitch4j.gitlab.io/twitch4j/contribution/) on the documentation site as it provides code guidelines and helpful tips for getting started.
By contributing, you are expected to abide by our [code of conduct](./CODE_OF_CONDUCT.md) and agree to the license below.
Thank you again for your interest in improving Twitch4J!

## License

Released under the [MIT license](./LICENSE).
